Bug 791198 - When glusterfs is used without any option, it should display usage text
When glusterfs is used without any option, it should display usage text
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-16 08:25 EST by Anush Shetty
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:14:23 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-02-16 08:25:03 EST
Description of problem: When we run glusterfs without any option, it should return the --usage text. Currently it gets logged in the log file.


Version-Release number of selected component (if applicable): 3.3.0qa22


How reproducible: glusterfs --usage


Actual results:

Gets logged in the log file -

[2012-02-16 18:49:19.957735] I [glusterfsd.c:1578:main] 0-glusterfs: Started running glusterfs version 3git
[2012-02-16 18:49:19.957952] E [glusterfsd.c:404:get_volfp] 0-glusterfsd: /usr/local/etc/glusterfs/glusterfs.vol: No such file or directory
[2012-02-16 18:49:19.957979] E [glusterfsd.c:1532:glusterfs_volumes_init] 0-glusterfsd: Cannot reach volume specification file


Expected results:

Should return --usage output on the screen
Comment 1 Anand Avati 2012-02-23 02:12:52 EST
CHANGE: http://review.gluster.com/2790 (glusterfsd: give out the error on screen when cmd is given without options) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anush Shetty 2012-03-05 08:25:22 EST
Tested with 3.3.0qa24.

Note You need to log in before you can comment on or make changes to this bug.